Delete dbt configuration
curl --request DELETE \
--url https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "dbt repository unlinked successfully",
"success": true
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}dbt configuration
Delete dbt configuration
Connection Admin permissions are required to use this endpoint.
Remove the dbt configuration for the specified connection by removing the link to the dbt repository.
DELETE
/
v1
/
connections
/
{connectionId}
/
dbt
Delete dbt configuration
Authorizations
bearerAuthorgApiKey
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
ID of the connection where dbt is configured
Example:
"550e8400-e29b-41d4-a716-446655440000"
Was this page helpful?
⌘I

